# Warez-Toolbox

The Warez-Toolbox offers various functions that can be useful when dealing with digital movies or series. Basically, it serves to extract information from file or folder names and to transform them according to common conventions.

__Disclaimer__:
The development of this module was for recreational and educational purposes only. I am not responsible at any time for the illegal distribution of copyrighted material. Please respect the rights and laws that apply to you. Support your favorite artists.

## Usage

```go
import (
	"git.0x0001f346.de/andreas/wareztb"
)

wareztb.GetComparableWarezString("Nobody.2021.German.DTS.DL.1080p.BluRay.x265-HDSource.mkv") // "nobody.2021"
wareztb.GetComparableWarezString("Breaking Bad (2008)")                                      // "breaking.bad.2008"

wareztb.GetTitleAndYearFromWarezString("Terminator.1984.REMASTERED.German.DTS.DL.1080p.BluRay.x265-UNFIrED.mkv") // "Terminator" 1984 nil
wareztb.GetTitleAndYearFromWarezString("Better Call Saul (2015)")                                                // "Better.Call.Saul" 2015 nil

wareztb.SanitizeStringForWarezUsage("Inside WikiLeaks - Die fünfte Gewalt (2013)") // "Inside.WikiLeaks.Die.fuenfte.Gewalt.2013"
wareztb.SanitizeStringForWarezUsage("In den Straßen der Bronx (1993)")             // "In.den.Strassen.der.Bronx.1993"
```
